Updates the sharing configuration of the specified dashboard.
The request consumes an application/json payload.
| Method | Environment | URL |
|---|---|---|
| PUT | Managed DESK for Government | https://{your-domain}/e/{your-environment-id}/api/config/v1/dashboards/{id}/shareSettings |
| PUT | Environment ActiveGate | https://{your-activegate-domain}/e/{your-environment-id}/api/config/v1/dashboards/{id}/shareSettings |
To execute this request, you need an access token with WriteConfig scope.
To learn how to obtain and use it, see Tokens and authentication.
| Parameter | Type | Description | In | Required |
|---|---|---|---|---|
| id | string | The ID of the required dashboard. | path | required |
| body | DashboardSharing | The JSON body of the request. Contains updated parameters of the dashboard sharing. | body | optional |
Sharing configuration of the dashboard.
| Element | Type | Description | Required |
|---|---|---|---|
| enabled | boolean | The dashboard is shared (true) or private (false). |
optional |
| id | string | The DESK entity ID of the dashboard. | required |
| permissions | DashboardSharePermissions[] | A list of permissions to access the dashboard. | required |
| preset | boolean | If true the dashboard will be marked as preset. |
optional |
| publicAccess | DashboardAnonymousAccess | Configuration of the anonymous access to the dashboard. | required |
Access permissions of the dashboard.
| Element | Type | Description | Required |
|---|---|---|---|
| id | string | The ID of the user or group to whom the permission is granted. Not applicable if the type is set to ALL. |
optional |
| permission | string | The level of the permission: • VIEW: The dashboard is shared with read permission.• EDIT: The dashboard is shared with edit permission.The element can hold these values |
required |
| type | string | The type of the permission: • USER: The dashboard is shared with the specified user.• GROUP: The dashboard is shared with all users of the specified group.• ALL: The dashboard is shared via link. Any authenticated user with the link can view the dashboard.The element can hold these values: • ALL• GROUP• USER |
required |
Configuration of the anonymous access to the dashboard.
| Element | Type | Description | Required |
|---|---|---|---|
| managementZoneIds | string[] | A list of management zones that can display data on the publicly shared dashboard. Specify management zone IDs here. For each management zone you specify DESK generates an access link. You can access them in the urls list. To share the dashboard with its default management zone, use the default value. |
required |
| urls | object | A list of URLs for anonymous access to the dashboard. Each link grants access to data from the specific management zone, listed in the managementZoneIds list. These links are automatically generated by DESK, you can't change them. |
optional |
This is a model of the request body, showing the possible elements. It has to be adjusted for usage in an actual request.
{
"enabled": "true",
"id": "a5fca32f-d3ba-4749-b201-5d3cd70b9d22",
"permissions": [
{
"permission": "VIEW",
"type": "ALL"
},
{
"id": "userid",
"permission": "VIEW",
"type": "USER"
},
{
"id": "userid",
"permission": "EDIT",
"type": "USER"
},
{
"id": "groupid",
"permission": "VIEW",
"type": "GROUP"
},
{
"id": "groupid",
"permission": "EDIT",
"type": "GROUP"
}
],
"preset": "true",
"publicAccess": {
"managementZoneIds": [
"default",
"2899273953172250973"
],
"urls": {
"2899273953172250973": "https://mytenantid.live.desk.com/e/1/dashboards/a5fca32f-d3ba-4749-b201-5d3cd70b9d22?auth=SL5wTvCbaM2lwpew23234",
"default": "https://mytenantid.live.desk.com/e/1/dashboards/a5fca32f-d3ba-4749-b201-5d3cd70b9d22?auth=9yPpSI-M-3434Irz8yc8U"
}
}
}
| Code | Type | Description |
|---|---|---|
| 204 | - | Success. The configuration has been updated. Response doesn't have a body. |
| 400 | ErrorEnvelope | Failed. The input is invalid. |
We recommend that you validate the payload before submitting it with an actual request. A response code of 204 indicates a valid payload.
The request consumes an application/json payload.
| Method | Environment | URL |
|---|---|---|
| POST | Managed DESK for Government | https://{your-domain}/e/{your-environment-id}/api/config/v1/dashboards/{id}/shareSettings/validator |
| POST | Environment ActiveGate | https://{your-activegate-domain}/e/{your-environment-id}/api/config/v1/dashboards/{id}/shareSettings/validator |
To execute this request, you need an access token with WriteConfig scope.
To learn how to obtain and use it, see Tokens and authentication.
| Code | Type | Description |
|---|---|---|
| 204 | - | Validated. The submitted dashboard share setting is valid. Response doesn't have a body |
| 400 | ErrorEnvelope | Failed. The input is invalid |